Subject: Re: [PATCH net-next 00/15] dpaa2-switch: CPU terminated traffic and move out of staging

From: Greg KH <[email-masked]>
Date: Wed, 10 Mar 2021 13:44:46 +0100

On Wed, Mar 10, 2021 at 02:14:37PM +0200, Ioana Ciornei wrote:
> From: Ioana Ciornei <[email-masked]>
> 
> This patch set adds support for Rx/Tx capabilities on DPAA2 switch port
> interfaces as well as fixing up some major blunders in how we take care
> of the switching domains. The last patch actually moves the driver out
> of staging now that the minimum requirements are met.
> 
> I am sending this directly towards the net-next tree so that I can use
> the rest of the development cycle adding new features on top of the
> current driver without worrying about merge conflicts between the
> staging and net-next tree.
> 
> The control interface is comprised of 3 queues in total: Rx, Rx error
> and Tx confirmation. In this patch set we only enable Rx and Tx conf.
> All switch ports share the same queues when frames are redirected to the
> CPU.  Information regarding the ingress switch port is passed through
> frame metadata - the flow context field of the descriptor.
> 
> NAPI instances are also shared between switch net_devices and are
> enabled when at least on one of the switch ports .dev_open() was called
> and disabled when no switch port is still up.
> 
> Since the last version of this feature was submitted to the list, I
> reworked how the switching and flooding domains are taken care of by the
> driver, thus the switch is now able to also add the control port (the
> queues that the CPU can dequeue from) into the flooding domains of a
> port (broadcast, unknown unicast etc). With this, we are able to receive
> and sent traffic from the switch interfaces.
> 
> Also, the capability to properly partition the DPSW object into multiple
> switching domains was added so that when not under a bridge, the ports
> are not actually capable to switch between them. This is possible by
> adding a private FDB table per switch interface.  When multiple switch
> interfaces are under the same bridge, they will all use the same FDB
> table.
> 
> Another thing that is fixed in this patch set is how the driver handles
> VLAN awareness. The DPAA2 switch is not capable to run as VLAN unaware
> but this was not reflected in how the driver responded to requests to
> change the VLAN awareness. In the last patch, this is fixed by
> describing the switch interfaces as Rx VLAN filtering on [fixed] and
> declining any request to join a VLAN unaware bridge.

I'll take the first 14 patches now, and then you will have a "clean"
place to ask for the movement of this out of staging.

thanks,

greg k-h